<?php 
/**
 * Customiser section for ourclients
 **/
// Start Feature section 
$wp_customize->add_section(
    'lz_fitness_ourclients_section',
    array(
        'title' => __( 'Clients Logo Section', 'lz-fitness-premium' ),
        'panel' => 'lz_fitness_premium_home_panel'
    )
);
// ENABLE/DISABLE FEATURED SECTION
$wp_customize->add_setting(
    'lz_fitness_ourclients_section_disable',
    array(
        'sanitize_callback' => 'lz_fitness_sanitize_text',
    )
);
$wp_customize->add_control(
    new lz_fitness_Switch_Control(
        $wp_customize,
        'lz_fitness_ourclients_section_disable',
        array(
            'settings'      => 'lz_fitness_ourclients_section_disable',
            'section'       => 'lz_fitness_ourclients_section',
            'label'         => __( 'Disable Section', 'lz-fitness-premium' ),
            'on_off_label'  => array(
                'on' => __( 'Yes', 'lz-fitness-premium' ),
                'off' => __( 'No', 'lz-fitness-premium' )
            ),
        )
    )
);

backgroundManager($wp_customize, 'ourclients', 'lz_fitness_ourclients_section', $color='#ffffff');


/*for note text*/
$wp_customize->add_setting('lz_fitness_ourclients_section_lbl', array('sanitize_callback'=>'lz_fitness_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Info_Text( 
        $wp_customize,
        'lz_fitness_ourclients_section_lbl',
        array(
            'settings'      => 'lz_fitness_ourclients_section_lbl',
            'section'       => 'lz_fitness_ourclients_section',
            'label'         => __( 'Note:', 'Hexagon' ),   
            'description'   => __( 'Add Clients logo images of equal height, recommend image height of size 115px', 'Hexagon' ),
        )
    )
);
/*for note text*/



$wp_customize->add_setting('lz_fitness_ourclients_npp_heading',array('sanitize_callback' => 'lz_fitness_sanitize_text'));
$wp_customize->add_control(
    new lz_fitness_Customize_Heading(
        $wp_customize,
        'lz_fitness_ourclients_npp_heading',
        array(
            'settings'      => 'lz_fitness_ourclients_npp_heading',
            'section'       => 'lz_fitness_ourclients_section',
            'label'         => __( 'Set Number Of Clients Logo to show', 'lz-fitness-premium' ),
        )
    )
);    
$wp_customize->add_setting('lz_fitness_ourclients_npp_count',array('sanitize_callback' => 'lz_fitness_sanitize_text','default' => 5));
$wp_customize->add_control(
    'lz_fitness_ourclients_npp_count',
    array(
        'settings'      => 'lz_fitness_ourclients_npp_count',
        'section'       => 'lz_fitness_ourclients_section',
        'type'          => 'select',
        'label'         => __( 'Number of Clients logo to show', 'lz-fitness-premium' ),
        'choices'=>array(1,2,3,4,5,6,7,8,9,10,11,12)
    )
);

//FEATURED PAGES
for( $i = 1; $i <= 12; $i++ ){
    $wp_customize->add_setting(
        'lz_fitness_ourclients_header'.$i,
        array(
            'sanitize_callback' => 'lz_fitness_sanitize_text'
        )
    );
    $wp_customize->add_control(
        new lz_fitness_Customize_Heading(
            $wp_customize,
            'lz_fitness_ourclients_header'.$i,
            array(
                'settings'      => 'lz_fitness_ourclients_header'.$i,
                'section'       => 'lz_fitness_ourclients_section',
                'label'         => __( 'Client Logo Image', 'lz-fitness-premium' ).$i
            )
        )
    );

    lzAddImageElement($wp_customize, 'lz_fitness_ourclients_page_icon'.$i, 'lz_fitness_ourclients_section', $label="Recommended Image Size: 150X150px");

}
// End Feature section 

addColorPalatOption($wp_customize, 'lz_fitness_ourclients_imghvrbrssColor', 'lz_fitness_ourclients_section', 'Clients Logo Image Hover Border Color', '#6943c4');
